Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class GroupPattern

    java.lang.Object
      de.knipp.rritoolkit.response.GroupPattern

All Implemented Interfaces:
  ErrorPattern

    public class GroupPattern

extends java.lang.Object
implements ErrorPattern

class that allows to match groups of error codes

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String[]` | `accessCodes` the accepted accesses
`private java.lang.String[]` | `applicationCodes` the accepted application codes
`private java.lang.String[]` | `classCodes` the accepted classes
`private java.lang.String[]` | `componentCodes` the accepted components
`private java.lang.String[]` | `errorCodes` the accepted error codes

Constructor Summary
`GroupPattern()` empty constructor
`GroupPattern(java.lang.String classCode, java.lang.String accessCode, java.lang.String applicationCode, java.lang.String componentCode, java.lang.String errorCode)` constructor

Method Summary
`void` | `accept(ErrorPatternVisitor visitor)` accept a visitor
`java.lang.String[]` | `getAccessCodes()` return the access codes
`java.lang.String[]` | `getApplicationCodes()` return the application codes
`java.lang.String[]` | `getClassCodes()` return the class codes
`java.lang.String[]` | `getComponentCodes()` return the component codes
`java.lang.String[]` | `getErrorCodes()` return the error codes to match
`boolean` | `matches(ErrorCode code)` test whether the given error code matches the pattern
`GroupPattern` | `setAccessCodes(java.lang.String... codes)` set the access codes to match
`GroupPattern` | `setApplicationCodes(java.lang.String... codes)` set the application codes to match
`GroupPattern` | `setClassCodes(java.lang.String... codes)` set the class codes to match
`GroupPattern` | `setComponentCodes(java.lang.String... codes)` set the component codes to match
`GroupPattern` | `setErrorCodes(java.lang.String... codes)` set the error codes to match

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classCodes

    private java.lang.String[] classCodes

  the accepted classes

### accessCodes

    private java.lang.String[] accessCodes

  the accepted accesses

### applicationCodes

    private java.lang.String[] applicationCodes

  the accepted application codes

### componentCodes

    private java.lang.String[] componentCodes

  the accepted components

### errorCodes

    private java.lang.String[] errorCodes

  the accepted error codes

Constructor Detail

### GroupPattern

    public GroupPattern()

  empty constructor

### GroupPattern

    public GroupPattern(java.lang.String classCode,
                        java.lang.String accessCode,
                        java.lang.String applicationCode,
                        java.lang.String componentCode,
                        java.lang.String errorCode)

  constructor

  Parameters:
    `classCode` - the class code to test for; ignored if `null`
    `accessCode` - the access code to test for; ignored if `null`
    `applicationCode` - the application code to test for; ignored if `null`
    `componentCode` - the component code to test for; ignored if `null`
    `errorCode` - the error code to test for; ignored if `null`

Method Detail

### setClassCodes

    public GroupPattern setClassCodes(java.lang.String... codes)

  set the class codes to match

  Parameters:
    `codes` - the codes
  Returns:
    this instance

### getClassCodes

    public java.lang.String[] getClassCodes()

  return the class codes

  Returns:
    the codes, `null` if they are not tested at all

### setAccessCodes

    public GroupPattern setAccessCodes(java.lang.String... codes)

  set the access codes to match

  Parameters:
    `codes` - the codes
  Returns:
    this instance

### getAccessCodes

    public java.lang.String[] getAccessCodes()

  return the access codes

  Returns:
    the codes, `null` if they are not tested at all

### setApplicationCodes

    public GroupPattern setApplicationCodes(java.lang.String... codes)

  set the application codes to match

  Parameters:
    `codes` - the codes
  Returns:
    this instance

### getApplicationCodes

    public java.lang.String[] getApplicationCodes()

  return the application codes

  Returns:
    the codes, `null` if they are not tested at all

### setComponentCodes

    public GroupPattern setComponentCodes(java.lang.String... codes)

  set the component codes to match

  Parameters:
    `codes` - the codes
  Returns:
    this instance

### getComponentCodes

    public java.lang.String[] getComponentCodes()

  return the component codes

  Returns:
    the codes, `null` if they are not tested at all

### setErrorCodes

    public GroupPattern setErrorCodes(java.lang.String... codes)

  set the error codes to match

  Parameters:
    `codes` - the codes
  Returns:
    this instance

### getErrorCodes

    public java.lang.String[] getErrorCodes()

  return the error codes to match

  Returns:
    the codes, `null` if they are not tested at all

### matches

    public boolean matches(ErrorCode code)

  test whether the given error code matches the pattern

  Specified by:
    `matches` in interface `ErrorPattern`
  Parameters:
    `code` - the code to test, may be `null`
  Returns:
    `true` if it matches

### accept

    public void accept(ErrorPatternVisitor visitor)

  accept a visitor

  Specified by:
    `accept` in interface `ErrorPattern`
  Parameters:
    `visitor` - the visitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH